## ros-melodic-cob-cartesian-controller 0.8.12

=== debian/changelog ===
ros-melodic-cob-cartesian-controller (0.8.12-1stretch) stretch; urgency=high

  * Merge pull request #243 <https://github.com/ipa320/cob_control/issues/243> from fmessmer/test_noetic
    test noetic
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 20 Oct 2020 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.8.11-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Mar 2020 23:00:00 -0000

ros-melodic-cob-cartesian-controller (0.8.10-1stretch) stretch; urgency=high

  * Merge pull request #228 <https://github.com/ipa320/cob_control/issues/228> from fmessmer/feature/python3_compatibility_melodic
    [ci_updates] pylint + Python3 compatibility - melodic
  * disable simple_script_server import error
  * fix modules
  * fix pylint errors
  * Merge pull request #226 <https://github.com/ipa320/cob_control/issues/226> from fmessmer/ci_updates_melodic
    [travis] ci updates - melodic
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-cartesian-controller (0.8.1-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-cartesian-controller (0.8.0-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.8-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 08 Aug 2019 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.7-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.6-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.5-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.4-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.3-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.2-1stretch) stretch; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.1-1stretch) stretch; urgency=high

  * Merge remote-tracking branch 'origin/kinetic_release_candidate' into kinetic_dev
  * Merge pull request #169 <https://github.com/ipa320/cob_control/issues/169> from ipa-fxm/kinetic_updates_indigo
    Kinetic updates indigo
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_control into kinetic_dev
    Conflicts:
    .travis.yml
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-cartesian-controller (0.7.0-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.6.15-1stretch) stretch; urgency=high

  * cleanup leftovers
  * use xacro --inorder
  * remove inline keywords
  * manually fix changelog
  * optimize output
  * clear preview
  * remove obsolete script
  * add install tags
  * fix and harmonize scripts
  * broadcast target_frame before tracking
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.6.14-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.6.13-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.6.12-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-cartesian-controller (0.6.11-1stretch) stretch; urgency=high

  * remove lwa4d test scripts
  * use ros::Time::now
  * use const in function parameters
  * remove movePTP
  * minor styling
  * remove unused Pose parameter
  * significantly simplify function parameters for getTrajectory and getProfileTimings
  * re-order vel-acc
  * get rid of ProfileTimings.ok
  * move identical functions to base class
  * harmonizing
  * remove obsolete calcTe_
  * minor styling
  * roslint cob_cartesian_controller
  * towards code styling consistency
  * adjust descriptions ins license plate
  * adjust description
  * Final version
  * Almost finalized version
  * Implemented move_circ
  * remove obsolete files
  * adjust service type in cartesian controller
  * LWA4D test scripts
  * New quaternion interpolation
  * Linear interpolation works fine now. There's still a bug in quaternion interpolation.
  * Bug fixes + code reduction
  * apply change in parameter name
  * code reduction part 2.
  * forgot the cpp files
  * added new headers
  * Code reduction part 1.. there's still a bug in ramp profiles.
  * Fixed a bug in sort algorithm and profile interpolation
  * new example script
  * restructured, introducing base class for profile generator
  * renaming: hardware_interface to controller_interface
  * update trajectory_hardware_interface
  * handle base_compensation in kinematic_extension enum
  * implement JointTrajectory hardware_interface for twist_controller
  * Contributors: Marco Bezzon, ipa-fxm, ipa-fxm-cm


