=== debian/control ===
Source: ros-melodic-cob-cartesian-controller
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-setuptools, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-catkin, ros-melodic-cob-srvs, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-roslint, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-cob-cartesian-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-actionlib, ros-melodic-actionlib-msgs, ros-melodic-cob-frame-tracker, ros-melodic-cob-script-server, ros-melodic-cob-srvs, ros-melodic-cob-twist-controller, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-robot-state-publisher, ros-melodic-roscpp, ros-melodic-rospy, ros-melodic-rviz, ros-melodic-std-msgs, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-topic-tools, ros-melodic-visualization-msgs, ros-melodic-xacro
Description: This package provides nodes that broadcast tf-frames along various (model-based) Cartesian paths (e.g.
 Linear, Circular). The tf-frames are interpolated using a given velocity profile (e.g. Ramp, Sinoid) and can be used as targets for the cob_frame_tracker/cob_twist_controller.
